What are PicMonkey's system and browser requirements?

Flash: PicMonkey requires that you have Flash player, version 10.2 or higher (11+ is recommended). You can check your current version on this page.

Browser recommendations: Following are the browsers we recommend for the optimal PicMonkey experience, best first:
  1. Google Chrome
  2. Mozilla Firefox
  3. Apple Safari for OS X
  4. Microsoft Internet Explorer 10 or later

Browsers that won’t work: Unfortunately, PicMonkey no longer supports Internet Explorer 8 or earlier versions. We recommend upgrading to Google Chrome or a recent version of one of the other browsers listed above. If you have IE 9 we encourage you to update to the latest version of IE, as many of the updates you are missing out on are security patches. 

Mobile devices: Because they don’t allow Flash, your iPhone, iPad, or other iOS devices won’t run PicMonkey. But an Android mobile device will run PicMonkey if you have Flash installed on it.

If you have an older Mac:
If you have OS X 10.6.8 or newer, Apple offers a free upgrade to 10.10.1 Yosemite. We encourage you to take advantage of this offer, as it allows you to get the latest Safari versions and a pile of security updates. For more help see this information from Apple. 

If you haven't upgraded to 10.6.8 (Snow Leopard) yet, and have an Intel processor, you can buy the upgrade to Snow Leopard from the Apple store for $20. Once you upgrade to Snow Leopard you can get the free upgrade to Yosemite. Click here to get Snow Leopard.

Unfortunately for PowerPC processor systems, Mac stopped supporting these platforms long ago, and upgrading to Snow Leopard or Mavericks is not possible.